grep-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

grep branch, master, updated. v2.22-25-g69f885e


From: Paul Eggert
Subject: grep branch, master, updated. v2.22-25-g69f885e
Date: Mon, 11 Jan 2016 19:31:36 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "grep".

The branch, master has been updated
       via  69f885ed355708b6ae624682fefe42062d2c3f17 (commit)
      from  4a2067645af7b2dcf9f61886a1ed2c801dfa44cd (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.savannah.gnu.org/cgit/grep.git/commit/?id=69f885ed355708b6ae624682fefe42062d2c3f17


commit 69f885ed355708b6ae624682fefe42062d2c3f17
Author: Paul Eggert <address@hidden>
Date:   Mon Jan 11 11:30:56 2016 -0800

    * tests/pcre-count: Don't assume the page size is 32kB.

diff --git a/tests/pcre-count b/tests/pcre-count
index 4bcb2b3..e638635 100755
--- a/tests/pcre-count
+++ b/tests/pcre-count
@@ -13,11 +13,17 @@ require_pcre_
 
 fail=0
 
-printf 'a\n%032768d\nb\0\n%032768d\na\n' 0 0 > in
+printf 'a\n%032768d\nb\0\n%032768d\na\n' 0 0 > in || framework_failure_
 
-LC_ALL=C grep -P 'a' in | wc -l > exp
+# grep will discover that the input is a binary file sooner if the
+# page size is larger, so allow for either possible output.
+printf 'a\nBinary file in matches\n' >exp1a || framework_failure_
+printf 'Binary file in matches\n' >exp1b || framework_failure_
+LC_ALL=C grep -P 'a' in >out || fail=1
+compare exp1a out || compare exp1b out || fail=1
 
-LC_ALL=C grep -Pc 'a' in > out ||  fail=1
-compare exp out || fail=1
+printf '2\n' >exp2 || framework_failure_
+LC_ALL=C grep -Pc 'a' in >out || fail=1
+compare exp2 out || fail=1
 
 Exit $fail

-----------------------------------------------------------------------

Summary of changes:
 tests/pcre-count |   14 ++++++++++----
 1 files changed, 10 insertions(+), 4 deletions(-)


hooks/post-receive
-- 
grep



reply via email to

[Prev in Thread] Current Thread [Next in Thread]